Spot Orders Management

Spot Orders Management

Overview

The Spot Orders Management API provides advanced order management capabilities for Spot marketplace customers, including order tracking, status updates, and delivery scheduling.

Order Lifecycle

| Status | Description |

| PENDING_CONFIRMATION | Order submitted, awaiting Tenaris confirmation |

| CONFIRMED | Order confirmed by Tenaris, material reserved |

| IN_PREPARATION | Material being prepared for shipment |

| DISPATCHED | Material shipped to customer |

| DELIVERED | Material received by customer |

| CANCELLED | Order cancelled |

Track Order Status

curl -X GET "https://customerapi-dev.azure-api.net/sb/spot/orders/MKP-ORD-001234" \

-H "Authorization: Bearer {access_token}"

Response:

{

"id": "MKP-ORD-001234",

"status": "DISPATCHED",

"shipToParty": {"id": "SP-STP-001", "description": "Houston Distribution Center"},

"dispatch": {

"trackingNumber": "TRK-SP-98765",

"carrier": "LOGISTICS INC.",

"estimatedDelivery": "2024-06-05"

},

"items": [

{"product": {"id": "SP-4521", "description": "7\" 26.00# L80 BTC R3"}, "quantity": 100, "uom": "ST"}

],

"history": [

{"status": "PENDING_CONFIRMATION", "date": "2024-03-20T09:15:00Z"},

{"status": "CONFIRMED", "date": "2024-03-20T14:30:00Z"},

{"status": "IN_PREPARATION", "date": "2024-05-28T08:00:00Z"},

{"status": "DISPATCHED", "date": "2024-06-01T10:45:00Z"}

]

}

Cancel Order

Orders can only be cancelled while in PENDING_CONFIRMATION or CONFIRMED status:

curl -X DELETE "https://customerapi-dev.azure-api.net/sb/spot/orders/MKP-ORD-001234" \

-H "Authorization: Bearer {access_token}"

Response (200 OK):

{

"id": "MKP-ORD-001234",

"status": "CANCELLED",

"cancelledDate": "2024-03-21T08:00:00Z"

}

Errors

| ERROR | DESCRIPTION |

| 401 | ERROR IN TOKEN VALIDATION. |

| 403 | USER NOT AUTHORIZED. |

| 404 | ORDER NOT FOUND. |

| 409 | CONFLICT. Order cannot be cancelled in its current status. |

| 500 | GENERAL ERROR. |